﻿$ErrorActionPreference = 'Stop';


$packageName= 'pragmaticworksworkbench'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/prerelease/BETA/2017.3/BETA_Pragmatic_Workbench_2017.3.3.710.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'Pragmatic Workbench*'
  checksum = '7D69AE36078E9658DBACAB9DE1A44CA8D5906FBD170524D4E8E14AE573612D92'
  checksumType = 'sha256'
  checksum64 = 'N0Q2OUFFMzYwNzhFOTY1OERCQUNBQjlERTFBNDRDQThENTkwNkZCRDE3MDUyNEQ0RThFMTRBRTU3MzYxMkQ5Mg=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
